std::forward_list::empty(3)

NAME
std::forward_list::empty - std::forward_list::empty

Synopsis
   bool empty() const noexcept; (since C++11)
                        (until C++20)
   [[nodiscard]] bool empty() const noexcept; (since C++20)
   Checks if the container has no elements, i.e. whether begin() == end().

Parameters
   (none)

Return value
   true if the container is empty, false otherwise

Complexity
   Constant.

Example
   The following code uses empty to check if a std::forward_list<int> contains any
   elements: // Run this code
 #include <forward_list>
 #include <iostream>
 int main()
 {
     std::forward_list<int> numbers;
     std::cout << std::boolalpha;
     std::cout << "Initially, numbers.empty(): " << numbers.empty() << '\n';
     numbers.push_front(42);
     numbers.push_front(13317);
     std::cout << "After adding elements, numbers.empty(): " << numbers.empty() << '\n';
 }

Output:
 Initially, numbers.empty(): true
 After adding elements, numbers.empty(): false